using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMCostCenterMap: TreeEntityBaseMap<T_FM_COST_CENTER>
	{
		public override void Configure(EntityTypeBuilder<T_FM_COST_CENTER> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.CODE).HasMaxLength(200);
			builder.Property(t => t.NAME).HasMaxLength(300);
            builder.Property(t => t.NAME_ACRONYM).HasMaxLength(600);
            builder.Property(t => t.REMARK).HasMaxLength(600);
		} 
	}
}
